Bug 805542 - memtest86+ script in /etc/grub.d error after grub2 update
memtest86+ script in /etc/grub.d error after grub2 update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: memtest86+ (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 10:42 EDT by Daniel Belton
Modified: 2012-05-25 15:51 EDT (History)
2 users (show)

See Also:
Fixed In Version: memtest86+-4.20-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 00:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Belton 2012-03-21 10:42:37 EDT
Description of problem:

The 20_memtest86+ script in /etc/grub.d/ now generates an error when grub2-mkconfig -o /boot/grub2/grub.cfg is run. 


Version-Release number of selected component (if applicable):

memtest86+ 4.20-5 FC17

How reproducible:

run grub2-mkconfig -0 /boot/grub2/grub.cfg

Steps to Reproduce:
1. update grub2 to latest in repository
2. run grub2-mkconfig -o /boot/grub2/grub.cfg
3.
  
Actual results:

[root@tower20 default]# grub2-mkconfig -o /boot/grub2/grub.cfg
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.3.0-1.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-1.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc7.git0.3.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc7.git0.3.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc6.git0.2.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc6.git0.2.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc5.git3.1.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc5.git3.1.fc17.x86_64.img
/etc/grub.d/20_memtest86+: line 24: /usr/lib/grub/grub-mkconfig_lib: No such file or directory



Expected results:

For the grub.cfg to be generated with the memtest86+ menu entry. 


Additional info:

The 20_memtest86+ script in /boot/grub.d contains these lines at the beginning:

prefix=/usr
exec_prefix=/usr
bindir=/usr/bin
libdir=/usr/lib
. ${libdir}/grub/grub-mkconfig_lib

It appears that a grub2 update has move the grub-mkconfig_lib to /usr/share/grub/grub-mkconfig_lib

A simple edit to the /etc/grub.d/20_memtest86+ script fixes the error here. Change the libdir line to point to /usr/share instead of /usr/lib:

prefix=/usr
exec_prefix=/usr
bindir=/usr/bin
libdir=/usr/share
. ${libdir}/grub/grub-mkconfig_lib

Output after change:

[root@tower20 grub.d]# grub2-mkconfig -o /boot/grub2/grub.cfg
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.3.0-1.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-1.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc7.git0.3.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc7.git0.3.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc6.git0.2.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc6.git0.2.fc17.x86_64.img
Found linux image: /boot/vmlinuz-3.3.0-0.rc5.git3.1.fc17.x86_64
Found initrd image: /boot/initramfs-3.3.0-0.rc5.git3.1.fc17.x86_64.img
Found memtest image: /boot/elf-memtest86+-4.20
  No volume groups found
Found Windows 7 (loader) on /dev/sda1
done
Comment 1 Jaroslav Škarvada 2012-03-22 06:45:00 EDT
Thanks
Comment 2 Fedora Update System 2012-03-27 05:13:33 EDT
memtest86+-4.20-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/memtest86+-4.20-6.fc17
Comment 3 Fedora Update System 2012-03-28 01:59:52 EDT
Package memtest86+-4.20-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing memtest86+-4.20-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4808/memtest86+-4.20-6.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-29 00:12:17 EDT
memtest86+-4.20-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 arturj 2012-05-25 15:51:34 EDT
I had the same problem after updating my FC16 sytem to FC17 yesterday. I guess preupgrade already used this new memtest86+-4.20-6.fc17. I solved the problem by uninstalling and installing again memtest86+.

Note You need to log in before you can comment on or make changes to this bug.